WordPress.org

Make WordPress Core

Changeset 43009


Ignore:
Timestamp:
04/27/2018 11:36:47 AM (3 years ago)
Author:
flixos90
Message:

Bootstrap: Load class-wp-meta-query.php earlier in wp-settings.php.

This change is necessary to enable multisite-specific meta query functionality during the multisite bootstrap process.

Fixes #40948. See #40229.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/src/wp-settings.php

    r42835 r43009  
    9999require( ABSPATH . WPINC . '/meta.php' );
    100100require( ABSPATH . WPINC . '/functions.php' );
     101require( ABSPATH . WPINC . '/class-wp-meta-query.php' );
    101102require( ABSPATH . WPINC . '/class-wp-matchesmapregex.php' );
    102103require( ABSPATH . WPINC . '/class-wp.php' );
     
    160161require( ABSPATH . WPINC . '/class-wp-session-tokens.php' );
    161162require( ABSPATH . WPINC . '/class-wp-user-meta-session-tokens.php' );
    162 require( ABSPATH . WPINC . '/class-wp-meta-query.php' );
    163163require( ABSPATH . WPINC . '/class-wp-metadata-lazyloader.php' );
    164164require( ABSPATH . WPINC . '/general-template.php' );
Note: See TracChangeset for help on using the changeset viewer.